<?
	require_once("autosetup-defines.php");
	require_once("config.php");
	require_once("utils.php");

	session_start();
	if ((!isset($_SESSION['NM_CUR_USERNAME'])) || (!isset($_SESSION['NM_CUR_PASSWORD'])))
	{
		header('Location: login.php');
		exit;
	}
	if (!validUser($cfg, $_SESSION['NM_CUR_USERNAME'], $_SESSION['NM_CUR_PASSWORD']))
	{
		header('Location: login.php');
		exit;
	}

	if (isset($_POST["USB"]))
	{
		$serverFile = $AUTOSET_CONFIG_FILE_USB;
		$clientFile = "AUTOSETUP_USB.zip";
	} else if (isset($_POST["NB1600"])) {
		$serverFile = $AUTOSET_CONFIG_FILE_MANUAL_NB1600;
		$clientFile = "AUTOSETUP_MANUAL_NB1600.zip";
	} else if (isset($_POST["NB2700"])) {
		$serverFile = $AUTOSET_CONFIG_FILE_MANUAL_NB2700;
		$clientFile = "AUTOSETUP_MANUAL_NB2700.zip";
	} else if (isset($_POST["NB3700"])) {
		$serverFile = $AUTOSET_CONFIG_FILE_MANUAL_NB3700;
		$clientFile = "AUTOSETUP_MANUAL_NB3700.zip";
	}

	header('Content-type: application/zip');
	header('Content-length: '. filesize($serverFile));
	header('Content-Disposition: attachment; filename="' . $clientFile . '"');
	header('Pragma: no-cache');
	header('Expires: 0');
	readfile($serverFile);
	ob_flush();
?>
