<?
$SECTION=5;
$PAGE=0;
require_once("header.php");
require_once("config.php");
require_once("vpn-client-db-utils.php");
?>

<div class="item">
	<div class="content_top">
	<h1>Remote Stations</h1>
	<br />
	<h2>Join VPN Result</h2>
	<br />
	</div>
</div>

<div class="item">
	<div class="content_main">
		<br />
		<h3>Device Information</h3>
		<br />
		<table>
			<tr>
				<td class="c2_left"><?= _("System Type")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($_POST['type'], ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
			<tr>
				<td class="c2_left"><?= _("System Serial Number")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($_POST['serial'], ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
		</table>
		<br />
<?

	$autosetupip=$_POST['autosetupip'];
	$serial=$_POST['serial'];
	$protocol=$_POST['protocol'];
	$description=$_POST['description'];

	$err="";
	$clientName='';
	$clientIpAddress='';
	$routedNetNetworkAddress='';
	$routedNetNetworkMask='';
	$success=addClient($cfg, $err, $clientName, $clientIpAddress, 
								$routedNetNetworkAddress, $routedNetNetworkMask);

	// build configuration file
	if ($success)
	{
		$sysreturn=0;
		if ($protocol=="openvpn")
		{
			$err=exec("sudo /usr/lib/vpnportal/action/build-openvpn-client-config-from-autosetup-config device " . escapeshellarg($clientName) . " " . escapeshellarg($serial) . " " . escapeshellarg($autosetupip), $output, $sysreturn);
			$success = $sysreturn ? FALSE : TRUE;
		} else {
			$err=exec("sudo /usr/lib/vpnportal/action/build-mobileip-client-config-from-autosetup-config device " . escapeshellarg($clientName) . " " . escapeshellarg($serial) . " " . escapeshellarg($autosetupip), $output, $sysreturn);
			$success = $sysreturn ? FALSE : TRUE;
			if ($success)
			{
				$err=exec("sudo /usr/lib/vpnportal/action/modify-mobileip", $output, $sysreturn);
				$success = $sysreturn ? FALSE : TRUE;
			}
		}
	}

	// upload configuration file
	if ($success)
	{
		$sysreturn=0;
		$err=exec("sudo /usr/lib/vpnportal/action/push-client-config " . escapeshellarg($autosetupip) . " " . escapeshellarg($clientName), $output, $sysreturn);
		$success = $sysreturn ? FALSE : TRUE;
	}

	if ($success)
	{ 
		if ($cfg->getStage()<Config::STAGE_PRODUCTION)
		{
			$cfg->setStage(Config::STAGE_PRODUCTION);
		}
?>
		<h3><font color="green">Client joined VPN successfully</font></h3>
		<br />
		<table>
			<tr>
				<td class="c2_left"><?= _("Client Name")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($clientName, ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
			<tr>
				<td class="c2_left"><?= _("Description")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($description, ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
			<tr>
				<td class="c2_left"><?= _("VPN Type")?>:</td>
				<td class="c2_right">
					<?=($protocol=="openvpn") ? "OpenVPN" : "Mobile IP" ?>
				</td>
			</tr>
			<tr>
				<td class="c2_left"><?= _("VPN IP Address")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($clientIpAddress, ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
			<tr>
				<td class="c2_left"><?= _("Routed Network Address")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($routedNetNetworkAddress, ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
			<tr>
				<td class="c2_left"><?= _("Routed Network Mask")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($routedNetNetworkMask, ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
		</table>
<?	} else { ?>
		<h3><font color="red">Client VPN joining failed!</font></h3>
		<br />
		<table>
			<tr>
				<td class="c2_left"><?= _("Client Name")?>:</td>
				<td class="c2_right">
					<?=htmlspecialchars($clientName, ENT_QUOTES, 'UTF-8')?>
				</td>
			</tr>
			<tr>
				<td class="c2_left"><?= _("Failure Reason")?>:</td>
				<td class="c2_right">
					<font color="red"><?=$err?></font>
				</td>
			</tr>
		</table>
<?	} ?>

 </div>
</div> 

<? require_once("footer.php") ?>

