<?
$SECTION=6;
$PAGE=8;
require_once("header.php");
require_once("utils.php");
require_once("lic-engine.php");

if (isset($_POST["Submit"])) {
	$key=$_POST["key"];
	if (!$licEngine->checkKey($key, $openvpn, $mobileip))
	{
		vp_error("You need to enter a valid license key to continue.");
	}
	if (!vp_is_error ())
	{
		$licEngine->saveLicenseKey($key);
		header('Location: index.php');
		exit;
	}
}

?>

<div class="item">
	<div class="content_top">
		<h1>License Agreement and Key</h1>
		<br />
	</div>
</div> 

<div class="item">
	<div class="content_main">
		<br />
		<form method="post" action="<?=$_SERVER["SCRIPT_NAME"]?>" name="form1">
		</table>
			<tr>
				<td class="c2_right" width="40%">
					Effective date of License Agreement:
				</td>
				<td class="c2_right" width="50%">
					<? echo $licEngine->haveLicenseAgreement()?>
				</td>
			</tr>
			<tr>
				<td class="c2_right" colspan="2" width="90%">
					<br /><br />
				</td>
			</tr>
			<tr>
				<td class="c2_right" width="40%">
					Installed license:
				</td>
				<td class="c2_right" width="50%">
					<?
					if ($licEngine->loadLicenseKey() != "") {
						$key=$licEngine->loadLicenseKey();	
						$key= 'XXXXXXXX-XXXXXXXX-XXXXXXXX-'.substr($key, 27);
						echo $key;
					} else {
						echo "No license installed yet, running in trial mode";
					}
					?>
				</td>
			</tr>
			<tr>
				<td class="c2_right" colspan="2" width="90%">
					<br /><br />
				</td>
			</tr>
			<tr>
				<td class="c2_right" width="40%">
					Licensed Features:
				</td>
				<td class="c2_right" width="50%">
					<? 
						if ($licEngine->loadLicenseKey() != "") {
							echo "Core Router";
							echo  ($licEngine->isLicensedMobileIp()) ? ", Mobile IP":"";
						} else {
							echo  "Trial mode with one control station and two remote stations";
						}
					?>
				</td>
			</tr>
			<tr>
				<td class="c2_right" colspan="2" width="90%">
					<br /><br />
				</td>
			</tr>
			<tr>
				<td class="c2_right" width="30%">
					<?=_("Update license key")?>:
				</td>
				<td class="c2_right" width="60%">
					<input type="text" name="key" autocomplete="off" size="45" value="<?=(isset($_POST["key"])) ? htmlspecialchars($_POST["key"], ENT_QUOTES, 'UTF-8') : "" ?>" />
				</td>
			</tr>
			<tr>
				<td class="c2_right" colspan="2" width="90%">
					<br /><br />
				</td>
			</tr>
			<tr>
				<td></td>
				<td colspan=2><br /><?  vp_display_status(); ?></td>
			</tr>
			<tr>
				<td></td>
				<td class="c2_right" width="30%">
					<input type="submit" name="Submit" value="Submit" />
				</td>
			</tr>
		</table>
		</form>
		<br />
	</div>
</div> 

<? require_once("footer.php") ?>
