<?
	require_once("config.php");
	require_once("utils.php");

	session_start();
	if ((!isset($_SESSION['NM_CUR_USERNAME'])) || (!isset($_SESSION['NM_CUR_PASSWORD'])))
	{
		header('Location: login.php');
		exit;
	}

	if (!validUser($cfg, $_SESSION['NM_CUR_USERNAME'], $_SESSION['NM_CUR_PASSWORD']))
	{
		header('Location: login.php');
		exit;
	}

	if (isset($_POST["CaCert"]))
	{
		$caFile = "/etc/vpnportal/certs/WEBSERVER-ca.crt";
		$clientFile = "ca.crt";
	}

	header('Content-type: application/octet-stream');
	header('Content-length: '. filesize($caFile));
	header('Content-Disposition: attachment; filename="' . $clientFile . '"');
	header('Pragma: no-cache');
	header('Expires: 0');
	readfile($caFile);
	ob_flush();

?>

