<?
$PAGE=1;
$SECTION=1;
$REFRESH=20;
require_once("header.php");
require_once("utils.php");
require_once("config.php");
?>

<div class="item">
	<div class="content_top">
		<h1>Status</h1>
		<br />
	</div>
</div>

<div class="item">
	<div class="content_main">
		<h2>Connected / Configured Stations</h2>
		<br /><br />
		<table width="70%">
			<tr>
				<th width="30%"><?=_("Remote Stations")?></th>
				<th width="30%"></th>
				<th width="30%">
			</tr>
			<tr>
				<th></th>
				<th><?=_("OpenVPN")?></th>
				<th>
<?
	$openvpn_connected_file="/tmp/vpnportal/openvpn_clients/connected";
	if (file_exists($openvpn_connected_file))
	{
		unset($wc_res);
		exec("wc -l $openvpn_connected_file", $wc_res);
		$clients=explode(" ", $wc_res[0]);
		echo "$clients[0] / ";
	} else {
		echo "0 / ";
	}

	$query = "SELECT COUNT(*) FROM VpnClients WHERE Protocol='openvpn'";
	$res = $cfg->pdb->query($query)->fetchColumn();

	echo "$res";
?>
				</th>
			</tr>
<? if (mobileIpAvailable()) { ?>
			<tr>
				<th></th>
				<th>Mobile IP</th>
				<th>
<?
	$mobileip_connected_file="/tmp/vpnportal/mobileip_clients/connected";
	if (file_exists($mobileip_connected_file))
	{
		unset($wc_res);
		exec("wc -l $mobileip_connected_file", $wc_res);
		$clients=explode(" ", $wc_res[0]);
		echo "$clients[0] / ";
	} else {
		echo "0 / ";
	}

	$query = "SELECT COUNT(*) FROM VpnClients WHERE Protocol='mobileip'";
	$res = $cfg->pdb->query($query)->fetchColumn();

	echo "$res";
?>
				</th>
			</tr>
<? } ?>
<? if (!isMcrActive()) { ?>
			<tr>
				<th width="30%"><?=_("Control Stations")?></th>
				<th width="30%"></th>
				<th width="30%"></th>
			</tr>
			<tr>
				<th width="30%"></th>
				<th width="30%"><?=_("L2TP / IPSEC") ?></th>
				<th width="30%">
<?
	$l2tpipsec_connected_file="/tmp/vpnportal/l2tpipsec_clients/connected";
	if (file_exists($l2tpipsec_connected_file))
	{
		unset($wc_res);
		exec("wc -l $l2tpipsec_connected_file", $wc_res);
		$clients=explode(" ", $wc_res[0]);
		echo "$clients[0] / ";
	} else {
		echo "0 / ";
	}

	$query = "SELECT COUNT(*) FROM L2tpIpsecClients";
	$res = $cfg->pdb->query($query)->fetchColumn();

	echo "$res";
?>
				</th>
			</tr>
<? } ?>
		</table>
		<br /><br /><br />
<? 
	// retrieve connnected openvpn client info
	$openvpnclients = Array(); 
	$openvpnclients = connectedOpenVpnClients(7506);

	$autosetup_connected_file="/tmp/vpnportal/autoconfig_clients/connected";
	if (file_exists($autosetup_connected_file) && ($openvpnclients))
	{
		unset($wc_res);
		exec("wc -l $autosetup_connected_file", $wc_res);
		$clients=explode(" ", $wc_res[0]);
		if ($clients[0]>0)
		{
?>

		<h2>Remote Stations ready to join VPN</h2>
		<br />
		<table width="70%">
			<tr>
				<th><?= _("System Type")?></th>
				<th><?= _("System Serial Number")?></th>
				<th><?= _("SW Version")?></th>
				<th><?= _("Current IP Address")?></th>
				<th></th>
			</tr>
<?
			$f=fopen($autosetup_connected_file,"r");
			if ($f)
			{
				while ($client=fgets($f))
				{
					/* Make sure the client is really still connected */
					$params = explode(" ", $client);
					if (isClientOnline($openvpnclients, $params[0]))
					{
						echo "<tr>\n";
						echo "<td>" . htmlspecialchars($params[3], ENT_QUOTES, 'UTF-8') . "</td>\n";
						echo "<td>" . htmlspecialchars($params[2], ENT_QUOTES, 'UTF-8') . "</td>\n";
						echo "<td>" . htmlspecialchars($params[4], ENT_QUOTES, 'UTF-8') . "</td>\n";
						echo "<td>" . htmlspecialchars($params[1], ENT_QUOTES, 'UTF-8') . "</td>\n";
						echo "<td><a href=\"autosetup-join-vpn.php?autosetupip=" . htmlspecialchars($params[0], ENT_QUOTES, 'UTF-8') . "&amp;inetip=" . htmlspecialchars($params[1], ENT_QUOTES, 'UTF-8') . "&amp;type=" . htmlspecialchars($params[3], ENT_QUOTES, 'UTF-8') . "&amp;serial=" . htmlspecialchars($params[2], ENT_QUOTES, 'UTF-8') . "\">Join VPN</a></td>\n";
						echo "</tr>\n";
					}
				}
				fclose($f);
			}
		}
	}
?>
		</table>
	</div>
</div> 

<? require_once("footer.php") ?>

