<?
$SECTION=2;
$PAGE=1;
$REFRESH=30;
require_once("header.php");
require_once("utils.php");
require_once("config.php");
?>

<div class="item">
	<div class="content_top">
		<h1>Remote Stations</h1>
		<br />
		<h2>Stations</h2>
		<br />
	</div>
</div>

<div class="item">
 <div class="content_main">
		<table width="70%">
			<tr>
				<th><?= _("Name")?></th>
				<th><?= _("Type")?></th>
				<th><?= _("Connected")?></th>
				<th><?= _("Description")?></th>
			</tr>
<?
	// retrieve configured client info
	$query = "SELECT * FROM VpnClients ORDER BY ClientName ASC";
	$clients = $cfg->pdb->query($query);

	// retrieve connnected openvpn client info
	$openvpnclients = Array(); 
	$openvpnclients = connectedOpenVpnClients(7505);

	foreach ($openvpnclients as &$client) {
		$clientname = substr(trim($client["name"]), strlen("OPENVPN_"));
		$vpnips[$clientname] = $client["address"];
	}

	// retrieve connnected mobile ip client info
	$mobile_ip_connected_file="/tmp/vpnportal/mobileip_clients/connected";
	if (file_exists($mobile_ip_connected_file))
	{
		$f=fopen($mobile_ip_connected_file,"r");
		if ($f)
		{
			while ($client=fgets($f))
			{
				$params = explode(" ", $client);
				$clientname = trim($params[2]);
				$vpnip = $params[0];
				$vpnips[$clientname] = $vpnip;
			}
			fclose($f);
		}
	}

	while ($row = $clients->fetch(PDO::FETCH_ASSOC))
	{
		$clientname = $row['ClientName'];
		$description = (isset($row['Description'])) ? $row['Description'] : "";
		echo "<tr><td><a href=\"vpn-client-details.php?client=$clientname\">$clientname</a></td><td>";
		if ($row['Protocol']=="openvpn") echo "OpenVPN"; else echo "Mobile IP";
		echo "</td><td>";
		if (isset($vpnips[$clientname]))
		{
			echo _("<font color=\"green\">Yes</font><a href=\"http://" . $vpnips[$clientname] . "/\">") . " [" . $vpnips[$clientname] . "]</a>\n";
		} else {
			echo _("<font color=\"red\">No</font>\n");
		}
		echo "</td><td>" . htmlspecialchars($description, ENT_QUOTES, 'UTF-8') . "</td></tr>";
	}
?>
		</table>
		<br />
	</div>
</div> 

<? require_once("footer.php") ?>
