<?
$SECTION=6;
$PAGE=5;
require_once("header.php");
require_once("utils.php");
require_once("config.php");

if (isAdminDefined($cfg))
{
	header('Location: index.php');
	exit;
}

if (isset($_POST["Set"])) {
	$_SESSION['NM_NEW_USERNAME'] = $_POST["username"];
	$_SESSION['NM_NEW_PASSWORD'] = $_POST["password"];
	$_SESSION['NM_NEW_PASSWORD_CONFIRM'] = $_POST["password_confirm"];

	if (!strlen($_SESSION["NM_NEW_USERNAME"]))
	{
		vp_error("No username specified!");
	}
	if (strlen($_SESSION["NM_NEW_PASSWORD"])<6)
	{
		vp_error("Password too short! Minimum 6 characters required.");
	}
	if (strcmp($_SESSION["NM_NEW_PASSWORD"], $_POST["password_confirm"])!=0)
	{
		vp_error("Passwords are not the same!");
	}

	if (!vp_is_error())
	{
		$query = "DELETE FROM Users WHERE Username=:username";
		$stmt = $cfg->pdb->prepare($query);
		$stmt->execute(array(':username' => $_SESSION['NM_NEW_USERNAME']));
		$query = "INSERT INTO Users (Username, Password) VALUES (" .
			":username,:password)";
		$stmt = $cfg->pdb->prepare($query);
		$res = $stmt->execute(array(':username' => $_SESSION['NM_NEW_USERNAME'],
																':password' => $_SESSION['NM_NEW_PASSWORD']
													));
		if ($res)
		{
			vp_success("Password set successfully.");
			$_SESSION['NM_CUR_USERNAME'] = $_SESSION['NM_NEW_USERNAME'];
			$_SESSION['NM_CUR_PASSWORD'] = $_SESSION['NM_NEW_PASSWORD'];
		}
		if ($cfg->getStage()<Config::STAGE_PASSWORD_CONFIGURED)
		{
			$cfg->setStage(Config::STAGE_PASSWORD_CONFIGURED);
		}
		header('Location: server-internet.php');
		exit;
	}
} else {
	$query = "SELECT * FROM Users WHERE Username='admin'";
	$res = $cfg->pdb->query($query)->fetch(PDO::FETCH_ASSOC);
	if ($res)
	{
		$_SESSION['NM_NEW_USERNAME'] = $res['Username'];
		$_SESSION['NM_NEW_PASSWORD'] = $res['Password'];
		$_SESSION['NM_NEW_PASSWORD_CONFIRM'] = $res['Password'];
	} else {
		$_SESSION['NM_NEW_USERNAME'] = 'admin';
		$_SESSION['NM_NEW_PASSWORD'] = '';
		$_SESSION['NM_NEW_PASSWORD_CONFIRM'] = '';
	}
}

?>

<div class="item">
	<div class="content_top">
		<h1>Server Setup</h1>
		<br />
		<h2>Set Administrator Password</h2>
		<br />
	</div>
</div> 

<div class="item">
	<div class="content_main">
		<font color="green">Please define a server administrator password.</font><br /><br />
		<form method="post" action="<?=$_SERVER["SCRIPT_NAME"]?>" name="form1">
			<table width="60%">
				<tr>
					<td>
						<?=_("Username") ?>
					</td>
					<td>
						admin
						<input type="hidden" name="username" value="admin" />
					</td>
				</tr>
				<tr>
					<td>
						<?=_("New Password") ?>
					</td>
					<td>
						<input type="password" name="password" value="" />
					</td>
				</tr>
				<tr>
					<td>
						<?=_("Confirm Password") ?>
					</td>
					<td>
						<input type="password" name="password_confirm" value="" />
					</td>
				</tr>
				<tr>
					<td></td>
					<td>
						<input type="submit" name="Set" value="<?=_("Set")?>" />
					</td>
				</tr>
			</table>
		</form>
		<br /><?  vp_display_status(); ?>
	</div>
</div> 

<? require_once("footer.php") ?>
