<?
	require_once("utils.php");
	require_once("config.php");

	session_start();
	if ((!isset($_SESSION['NM_CUR_USERNAME'])) || (!isset($_SESSION['NM_CUR_PASSWORD'])))
	{
		header('Location: login.php');
		exit;
	}
	if (!validUser($cfg, $_SESSION['NM_CUR_USERNAME'], $_SESSION['NM_CUR_PASSWORD']))
	{
		header('Location: login.php');
		exit;
	}
	if ($_SESSION['NM_CUR_USERNAME']!="admin")
	{
		header('Location: login.php');
		exit;
	}

	$error_msg="";
	$success_msg="";

	if (isset($_POST["Backup"])) {
		exec("sudo /usr/lib/vpnportal/setup/config-backup", $output, $res);
		if ($res==0)
		{
			$serverFile="/tmp/vpnportal/backup/backup.tgz";
			$clientFile="vpnportal-backup-" . date("YmdHis");

			header('Content-type: application/octet-stream');
			header('Content-length: '. filesize($serverFile));
			header('Content-Disposition: attachment; filename="' . $clientFile . '"');
			header('Pragma: no-cache');
			header('Expires: 0');
			readfile($serverFile);
			ob_flush();
		} else {
			$error_msg = "Could not build backup file!";
		}
	} else if (isset($_POST["Restore"])) {
		if ($_FILES['file']['error'] == UPLOAD_ERR_OK) {
			if (is_uploaded_file($_FILES['file']['tmp_name'])) {
				if (move_uploaded_file($_FILES['file']['tmp_name'], '/tmp/restore.tgz'))
				{
					exec("sudo /usr/lib/vpnportal/setup/config-restore", $output, $res);
					if ($res==0)
					{
						$success_msg = "Configuration file installed successfully!";
					} else {
						$error_msg = "Could not install uploaded configuration data!";
					}
				}
			} else {
				$error_msg = "Configuration file has not been uploaded!";
			}
		} else {
			$error_msg = "Configuration data upload failed!";
		}
	}

	if (($error_msg!="") || ($success_msg!=""))
	{
		$SECTION=6;
		$PAGE=6;
		require_once("header.php");
?>
		<div class="item">
			<div class="content_top">
				<h1>Server</h1>
				<br />
				<h2>Backup / Restore</h2>
				<br />
			</div>
		</div> 
		<div class="item">
			<div class="content_main">
				<font color="red"><?=$error_msg ?></font>
				<font color="green"><?=$success_msg ?></font>
			</div>
		</div> 
<?
		require_once("footer.php");
	}
?>
