<?
$SECTION=6;
$PAGE=5;
require_once("header.php");
require_once("utils.php");
require_once("config.php");

if ($_SESSION['NM_CUR_USERNAME']!="admin")
{
	header('Location: login.php');
	exit;
}

if (isset($_POST["Change"])) {
	$_SESSION['NM_NEW_USERNAME'] = $_POST["username"];
	$_SESSION['NM_NEW_PASSWORD'] = $_POST["password"];
	$_SESSION['NM_NEW_PASSWORD_CONFIRM'] = $_POST["password_confirm"];

	if (!strlen($_SESSION["NM_NEW_USERNAME"]))
	{
		vp_error("No username specified!");
	}
	if (strlen($_SESSION["NM_NEW_PASSWORD"])<6)
	{
		vp_error("Password too short! Minimum 6 characters required.");
	}
	if (strcmp($_SESSION["NM_NEW_PASSWORD"], $_POST["password_confirm"])!=0)
	{
		vp_error("Passwords are not the same!");
	}

	if (!vp_is_error())
	{
		$query = "DELETE FROM Users WHERE Username=:username";
		$stmt = $cfg->pdb->prepare($query);
		$stmt->execute(array(':username' => $_SESSION['NM_NEW_USERNAME']));
		$query = "INSERT INTO Users (Username, Password) VALUES (" .
			":username,:password)";
		$stmt = $cfg->pdb->prepare($query);
		$res = $stmt->execute(array(':username' => $_SESSION['NM_NEW_USERNAME'],
																':password' => $_SESSION['NM_NEW_PASSWORD']
													));
		if ($res)
		{
			vp_success("Password changed successfully.");
			if ($_SESSION['NM_NEW_USERNAME']==$_SESSION['NM_CUR_USERNAME'])
			{
				$_SESSION['NM_CUR_PASSWORD'] = $_SESSION['NM_NEW_PASSWORD'];
			}
		}
	}
} else {
	$_SESSION['NM_NEW_USERNAME'] = $_SESSION['NM_CUR_USERNAME'];
	$_SESSION['NM_NEW_PASSWORD'] = "";
	$_SESSION['NM_NEW_PASSWORD_CONFIRM'] = "";
}

?>

<div class="item">
	<div class="content_top">
		<h1>Server</h1>
		<br />
		<h2>Change Passwords</h2>
		<br />
	</div>
</div> 

<div class="item">
	<div class="content_main">
		<form method="post" action="<?=$_SERVER["SCRIPT_NAME"]?>" name="form1">
			<table width="60%">
				<tr>
					<td>
						<?=_("User") ?>
					</td>
					<td>
						<select name="username">
							<option value="admin" <? if($_SESSION['NM_NEW_USERNAME'] == "admin") echo 'selected'; ?>>admin</option>
							<option value="operator" <? if($_SESSION['NM_NEW_USERNAME'] == "operator") echo 'selected'; ?>>operator</option>
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<?=_("New Password") ?>
					</td>
					<td>
						<input type="password" name="password" value="" />
					</td>
				</tr>
				<tr>
					<td>
						<?=_("Confirm Password") ?>
					</td>
					<td>
						<input type="password" name="password_confirm" value="" />
					</td>
				</tr>
				<tr>
					<td></td>
					<td>
						<input type="submit" name="Change" value="<?=_("Change")?>" />
					</td>
				</tr>
			</table>
		</form>
		<br /><?  vp_display_status(); ?>
	</div>
</div> 

<? require_once("footer.php") ?>
